Bug 202135 - add support for nsRoles objects in nss_ldap
Summary: add support for nsRoles objects in nss_ldap
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-10 22:13 UTC by Subhendu Ghosh
Modified: 2016-10-04 04:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-17 23:08:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PADL Software 382 None None None Never

Description Subhendu Ghosh 2006-08-10 22:13:43 UTC
Support for querying nsRole attributes (in Fedora DS) via pam_ldap/nss_ldap

Comment 1 Matthew Miller 2007-04-06 17:19:53 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 2 Bug Zapper 2008-04-04 03:30:37 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Nalin Dahyabhai 2008-04-07 15:06:08 UTC
Well, I know it hasn't been implemented yet.

Subhendu, can you elaborate on what exactly the modules are supposed to be doing
with these attributes?

Comment 4 Bug Zapper 2008-05-14 02:16:44 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Guil Barros 2008-11-17 16:18:36 UTC
I have the same need. It would be beneficial if nss_ldap were able to restrict user access based on nsRole. This would be similar to the current pam_groupdn option in ldap.conf but much more flexible.

Comment 6 Nalin Dahyabhai 2008-11-17 23:08:20 UTC
nss_ldap doesn't have much use for nsRole -- the filters used for looking up entries are already customizable, not that I'd recommend doing that.

Submitting a patch to add an additional access check to pam_ldap, using the "pam_nsrole" configuration setting as a means of specifying a role that the user's entry must have, and closing the bug report here.


Note You need to log in before you can comment on or make changes to this bug.